openSUSE Security Update : curl (openSUSE-SU-2014:1139-1)

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

libcurl was updated to fix security issues :

CVE-2014-3613: Cookies for hosts specified by numeric IP could be
assigned or used for other numeric IP hosts if portions of the
numerics were the same.

CVE-2014-3620: libcurl allowed cookies to be set for toplevel domains,
making them to broad.

See also :

http://lists.opensuse.org/opensuse-updates/2014-09/msg00028.html
https://bugzilla.novell.com/show_bug.cgi?id=894575
https://bugzilla.novell.com/show_bug.cgi?id=895991

Solution :

Update the affected curl packages.

Risk factor :

Medium / CVSS Base Score : 5.0
(CVSS2#AV:N/AC:L/Au:N/C:N/I:P/A:N)
CVSS Temporal Score : 4.3
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false

Family: SuSE Local Security Checks

Nessus Plugin ID: 77734 ()

Bugtraq ID: 69742
69748

CVE ID: CVE-2014-3613
CVE-2014-3620

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now